GisViewerService (GIS Viewer Widget 3.5.0-SNAPSHOT API)
Date: 2014-09-04

org.gcube.portlets.user.gisviewer.client

## Interface GisViewerService

- All Superinterfaces:
    com.google.gwt.user.client.rpc.RemoteService
  All Known Implementing Classes:
    DefaultGisViewerServiceImpl, GisViewerServiceImpl

      @RemoteServiceRelativePath(value="GisViewerService")
      public interface GisViewerService
      extends com.google.gwt.user.client.rpc.RemoteService

  The client side stub for the RPC service.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<? extends GisViewerBaseLayerInterface>` | `getBaseLayersToGisViewer()`
    `List<WfsTable>` | `getDataResult(List<LayerItem> layerItems, String bbox)`
    `List<WfsTable>` | `getDataResult(List<LayerItem> layerItems, String bbox, int maxWFSFeature)`
    `List<DataResult>` | `getDataResult(List<String> urls)`
    `LayerItemsResult` | `getGroupsInfo(String groupName)`
    `LayerItemsResult` | `getLayersInfo(List<String> layersName)`
    `LayerItemsResult` | `getLayersInfoByLayerItems(List<LayerItem> layerItems)`
    `List<Property>` | `getListProperty(String geoserverUrl, LayerItem layer)` Added by Francesco M.
    `String` | `getTransectUrl()`

- - ### Method Detail

    - #### getTransectUrl

          String getTransectUrl()

    - #### getDataResult

          List<DataResult> getDataResult(List<String> urls)

    - #### getGroupsInfo

          LayerItemsResult getGroupsInfo(String groupName)

    - #### getLayersInfo

          LayerItemsResult getLayersInfo(List<String> layersName)

    - #### getLayersInfoByLayerItems

          LayerItemsResult getLayersInfoByLayerItems(List<LayerItem> layerItems)

    - #### getDataResult

          List<WfsTable> getDataResult(List<LayerItem> layerItems,
                                     String bbox)

    - #### getListProperty

          List<Property> getListProperty(String geoserverUrl,
                                       LayerItem layer)

      Added by Francesco M. 10/09/2013
      Parameters:
        `geoserverUrl` -
        `layer` -
      Returns:

    - #### getDataResult

          List<WfsTable> getDataResult(List<LayerItem> layerItems,
                                     String bbox,
                                     int maxWFSFeature)

      Parameters:
        `layerItems` -
        `bbox` -
        `maxWFSFeature` -
      Returns:

    - #### getBaseLayersToGisViewer

          List<? extends GisViewerBaseLayerInterface> getBaseLayersToGisViewer()

Copyright © 2014. All Rights Reserved.